> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flintai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get single AI-SPM tool

> Get AI-SPM tool by ID with embedded agents, MCP servers, issues, and locations



## OpenAPI

````yaml /flintai/api-reference/openapi.json get /aispm-tools/tenants/{tenant_id}/workspaces/{workspace_id}/{id}
openapi: 3.0.3
info:
  contact: {}
  description: Flint AI Platform API
  license:
    name: Flint AI
    url: https://www.sandboxaq.com/legal/eula
  title: Flint AI Platform API
  version: 1.0.0
servers:
  - description: Flint AI Platform (per-tenant instance)
    url: https://{instance}.flintai.dev/api/v1
    variables:
      instance:
        default: your-instance
        description: Your Flint AI instance subdomain
security: []
paths:
  /aispm-tools/tenants/{tenant_id}/workspaces/{workspace_id}/{id}:
    get:
      tags:
        - aispm-tools
      summary: Get single AI-SPM tool
      description: >-
        Get AI-SPM tool by ID with embedded agents, MCP servers, issues, and
        locations
      operationId: GetAispmToolDetails
      parameters:
        - description: Tenant ID
          in: path
          name: tenant_id
          required: true
          schema:
            type: string
        - description: Workspace ID
          in: path
          name: workspace_id
          required: true
          schema:
            type: string
        - description: AISPM tool Id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.AispmToolDetailResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Internal Server Error
      security:
        - BearerAuth: []
components:
  schemas:
    api.AispmToolDetailResponse:
      properties:
        agents:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        cursor:
          type: string
        header:
          items:
            type: string
          type: array
        issues:
          $ref: '#/components/schemas/engine_output.EngineDataPage'
        locations:
          $ref: '#/components/schemas/engine_output.EmbeddedLocationSection'
        mcp_servers:
          $ref: '#/components/schemas/engine_output.EmbeddedSection'
        rows:
          items:
            items: {}
            type: array
          type: array
        total:
          type: integer
        total_sampling:
          type: number
      required:
        - cursor
        - header
        - rows
      type: object
    common.RequestError:
      description: Error responses returned by the API
      properties:
        code:
          example: 400
          type: integer
        message:
          example: Invalid request
          type: string
      required:
        - code
        - message
      type: object
    engine_output.EmbeddedSection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/engine_output.EmbeddedItem'
          type: array
        total:
          type: integer
      type: object
    engine_output.EngineDataPage:
      properties:
        cursor:
          type: string
        header:
          items:
            type: string
          type: array
        rows:
          items:
            items: {}
            type: array
          type: array
        total:
          type: integer
        total_sampling:
          type: number
      required:
        - cursor
        - header
        - rows
      type: object
    engine_output.EmbeddedLocationSection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/engine_output.EmbeddedLocationItem'
          type: array
        total:
          type: integer
      type: object
    engine_output.EmbeddedItem:
      properties:
        id:
          type: string
        name:
          type: string
      type: object
    engine_output.EmbeddedLocationItem:
      properties:
        codeLocation:
          type: object
        id:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Use this header with a Bearer token to authenticate requests.
      in: header
      name: Authorization
      type: apiKey

````